Bug 1265595 - API and Hammer hostgroup and host inconsistent for setting ContentView and LifecycleEnvironment
API and Hammer hostgroup and host inconsistent for setting ContentView and Li...
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: API (Show other bugs)
6.1.2
Unspecified Unspecified
unspecified Severity high (vote)
: GA
: --
Assigned To: satellite6-bugs
Peter Ondrejka
: Triaged
Depends On:
Blocks: 1122832
  Show dependency treegraph
 
Reported: 2015-09-23 06:21 EDT by Peter Vreman
Modified: 2018-02-21 11:51 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-02-21 11:51:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Vreman 2015-09-23 06:21:11 EDT
Description of problem:
The API for hsotgroups allows you to set ContentView and LifecycleEnvironment. But the similair hosts API does not have those fields. This is not inituive and confusing for end-users

PUT /api/hostgroups/:id 
...
hostgroup[content_view_id]
optional , nil allowed 	
Value: Must be a number.
hostgroup[lifecycle_environment_id]
optional , nil allowed 	
Value: Must be a number. 

PUT /api/hosts/:id
Update a host does not have these fields


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Set ContentView and LifecycleEnvironment using API
2. Set ContentView and LifecycleEnvironment using Hammer
3.

Actual results:
Not possible, fields are not supported

Expected results:
Consistent API for hostgroups and hosts to set ContentView and Lifecycle Environment

Additional info:
Comment 2 Bryan Kearney 2016-07-08 16:47:59 EDT
Per 6.3 planning, moving out non acked bugs to the backlog
Comment 4 Ondřej Pražák 2017-01-18 10:49:58 EST
This is already fixed in 6.2.7, hammer commands for both host and hostgroup have the following flags:  

--content-view
--content-view-id
--lifecycle-environment
--lifecycle-environment-id

Could QE verify?
Comment 6 pm-sat@redhat.com 2018-02-21 11:51:07 EST
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336

Note You need to log in before you can comment on or make changes to this bug.